/*
 *
 *  * Copyright 2019-2020 the original author or authors.
 *  *
 *  * Licensed under the Apache License, Version 2.0 (the "License");
 *  * you may not use this file except in compliance with the License.
 *  * You may obtain a copy of the License at
 *  *
 *  *      https://www.apache.org/licenses/LICENSE-2.0
 *  *
 *  * Unless required by applicable law or agreed to in writing, software
 *  * distributed under the License is distributed on an "AS IS" BASIS,
 *  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  * See the License for the specific language governing permissions and
 *  * limitations under the License.
 *
 */

package test.org.springdoc.api.app48;

import io.swagger.v3.oas.annotations.responses.ApiResponse;
import io.swagger.v3.oas.annotations.responses.ApiResponses;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * The type Abstract hello controller.
 */
@ApiResponse(responseCode = "410")
@ApiResponses({
		@ApiResponse(responseCode = "411")
})
public class AbstractHelloController {

	/**
	 * Gets documents.
	 *
	 * @return the documents
	 */
	@GetMapping(path = "/documents/{locale}")
	@ApiResponse(responseCode = "412")
	@ApiResponses({
			@ApiResponse(responseCode = "413")
	})
	public ResponseEntity<String> getDocuments() {
		return null;
	}

}
